# -*- encoding: utf-8 -*-
# stub: tchae 0.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "tchae".freeze
  s.version = "0.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://gitlab.com/dm0da/tchae/issues", "changelog_uri" => "https://gitlab.com/dm0da/tchae/blob/master/CHANGELOG", "source_code_uri" => "https://gitlab.com/dm0da/tchae/tree/master", "wiki_uri" => "https://gitlab.com/dm0da/tchae/wikis/home" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["D.M.".freeze]
  s.date = "2020-09-01"
  s.description = "Having to validate method parameters and/or the result of method is a\nquite common and repetitive task. Tchae is an attempt to capture this task in a small yet generic reuseable library. Tchae provides validated variants of the standard define_method ruby methods , that will create the same method as the standard would create wrapped into validation code.".freeze
  s.email = "dev@aithscel.eu".freeze
  s.homepage = "https://gitlab.com/dm0da/tchae".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Tchae is a lightweight ruby validation library".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51"])
  end
end
